package de.communardo.confluence.plugins.addlink.v2;

import com.atlassian.confluence.core.ConfluenceActionSupport;

import de.communardo.confluence.plugins.util.LinkTreeHelper;

public class MoveLinkAction extends ConfluenceActionSupport {

    private static final long serialVersionUID = -2340651105317042863L;

    public LinkTreeService linkTreeService;

    private String id;

    private String moveMode;

    public String doMove() {
        
        try {
            LinkTreeHelper.moveLink(linkTreeService.getLinkTree(), id, moveMode);
        } catch (LinkTreeMoveException e) {
            return ERROR;
        }

        return SUCCESS;
    }

    public void setLinkTreeService(LinkTreeService linkTreeService) {
        this.linkTreeService = linkTreeService;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setMoveMode(String moveMode) {
        this.moveMode = moveMode;
    }

}
