package de.communardo.confluence.plugins.addlink.v2;

import java.util.List;

public class Link {

    private String id;
    private String alias;
    private String target;
    private List<Link> children;

    /**
     * For Bandana.
     */
    public Link() {

    }

    Link(String id, String alias, String target, List<Link> children) {
        this.id = id;
        this.alias = alias;
        this.target = target;
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public String getAlias() {
        return alias;
    }

    public String getTarget() {
        return target;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public List<Link> getChildren() {
        return children;
    }

    @Override
    public boolean equals(Object link) {

        if (link != null && link instanceof Link && id != null && ((Link) link).getId().equals(id)) {
            return true;
        }

        return false;

    }

    @Override
    public int hashCode() {
        if (id != null) {
            return id.hashCode();
        }

        return super.hashCode();
    }
}
